Get a page of FAF rates for a FAF profile
Path Parameters
- Type: stringFormat: uuidfaf
Profile Id required
Query Parameters
- Type: integerFormat: int32Page
Index The page index of the search.
- Type: integerFormat: int32Page
Size The number of items to be returned in the response. Returns pages of up to 500 records.
- Type: stringFormat: uuidCarrier
Id The carrier ID to filter the rates by.
- Type: stringFormat: dateEffective
Date The effective date to filter the rates by.
Responses
- application/json
Request Example for get/v1/faf-profiles/{fafProfileId}/rates
curl 'https://api.consignlyhq.com/v1/faf-profiles/123e4567-e89b-12d3-a456-426614174000/rates?PageIndex=0&PageSize=25&EffectiveDate=date%20(YYYY-MM-DD)'
{
"index": 1,
"total": 1,
"fafProfileRates": [
{
"carrier": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"externalId": null,
"name": null,
"code": null,
"email": null,
"relationship": "enum (Client = 1, Carrier = 2)",
"status": "enum (Inactive = 1, Active = 2)"
},
"isDefault": true,
"fafPercent": 1,
"effectiveFromUtc": "datetime (YYYY-MM-DDTHH:MM:SSZ)",
"isExpired": true
}
]
}